{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf mkMerge mkThenElse;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in
# TODO: ménage
mkIf cfg.hydra-builder {

  # Paquets
  environment.systemPackages = with pkgs; [
    qemu
    kvm
  ];

  # Services

  ## Services de virtualisation utilisé pour les tests hydra
  virtualisation.docker.enable = true;
  virtualisation.libvirtd.enable = true;
  virtualisation.libvirtd.enableKVM = true;
  #virtualisation.virtualbox.guest.enable = true;
  virtualisation.virtualbox.host.enable = true;
  virtualisation.virtualbox.host.headless = true;

  ## Ménage automatique tous les jours
  nix.gc.automatic = true;

  users.users."hydrabld" = {
    description = "Execution des jobs hydra";
    group = "nixbld";
    extraGroups = [
      "docker"
      "nixbld"
      "vboxusers"
    ];
    isNormalUser = true;  # devrait être à false: TODO débugger la conf ssh & users pour que ça marche en user système

    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIGYpjcWJCf8dXpv2LmoIaNVbwZXEC50QUU6Az+lqeD89 hydra radx"
    ];
  };
}
